CVE-2005-3525
CVSS9.3
发布时间 :2005-12-31 00:00:00
修订时间 :2011-03-07 21:26:43
NMCOP    

[原文]Stack-based buffer overflow in an ActiveX control for the installer for Adobe Macromedia Shockwave Player 10.1.0.11 and earlier allows remote attackers to execute arbitrary code via crafted large values for unspecified parameters.


[CNNVD]Macromedia Shockwave Player ActiveX控件溢出漏洞(CNNVD-200512-930)

        Macromedia Shockwave Player是专门播放使用Director Shockwave Studio制作的网页的外挂软件,也可以观看Flash网页。
        Shockwave Player的ActiveX的控件实现上存在漏洞,攻击者可能利用此漏洞在用户机器上执行任意指令。Shockwave Player中CLSID为166B1BCA-3F9C-11CF-8075-444553540000的ActiveX控件中存在漏洞。攻击者可以将该控件的两个特定参数指定为特别大的值,触发栈溢出。请注意这个漏洞出现在安装过程中,但不必等用户完成安装便可利用。
        

- CVSS (基础分值)

CVSS分值: 9.3 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: NETWORK [攻击者不需要获取内网访问权或本地访问权]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:adobe:shockwave_player:8.0Adobe Shockwave Player 8.0
cpe:/a:adobe:shockwave_player:1.0Adobe Shockwave Player 1.0
cpe:/a:adobe:shockwave_player:8.5.1Adobe Shockwave Player 8.5.1
cpe:/a:adobe:shockwave_player:2.0Adobe Shockwave Player 2.0
cpe:/a:adobe:shockwave_player:6.0Adobe Shockwave Player 6.0
cpe:/a:adobe:shockwave_player:5.0Adobe Shockwave Player 5.0
cpe:/a:adobe:shockwave_player:4.0Adobe Shockwave Player 4.0
cpe:/a:adobe:shockwave_player:3.0Adobe Shockwave Player 3.0
cpe:/a:adobe:shockwave_player:10.1.0.11Adobe Shockwave Player 10.1.0.11

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-3525
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-3525
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200512-930
(官方数据源) CNNVD

- 其它链接及资源

http://www.kb.cert.org/vuls/id/437212
(UNKNOWN)  CERT-VN  VU#437212
http://xforce.iss.net/xforce/xfdb/24914
(UNKNOWN)  XF  shockwave-activex-installer-bo(24914)
http://www.zerodayinitiative.com/advisories/ZDI-06-002.html
(UNKNOWN)  MISC  http://www.zerodayinitiative.com/advisories/ZDI-06-002.html
http://www.vupen.com/english/advisories/2006/0716
(UNKNOWN)  VUPEN  ADV-2006-0716
http://www.securityfocus.com/bid/16791
(UNKNOWN)  BID  16791
http://www.securityfocus.com/archive/1/archive/1/425900/100/0/threaded
(UNKNOWN)  BUGTRAQ  20060223 ZDI-06-002: Adobe Macromedia ShockWave Code Execution
http://www.osvdb.org/23461
(UNKNOWN)  OSVDB  23461
http://www.macromedia.com/devnet/security/security_zone/apsb06-02.html
(UNKNOWN)  CONFIRM  http://www.macromedia.com/devnet/security/security_zone/apsb06-02.html
http://securitytracker.com/id?1015673
(UNKNOWN)  SECTRACK  1015673
http://secunia.com/advisories/19009
(VENDOR_ADVISORY)  SECUNIA  19009
http://securityreason.com/securityalert/481
(UNKNOWN)  SREASON  481

- 漏洞信息

Macromedia Shockwave Player ActiveX控件溢出漏洞
高危 缓冲区溢出
2005-12-31 00:00:00 2007-06-13 00:00:00
远程  
        Macromedia Shockwave Player是专门播放使用Director Shockwave Studio制作的网页的外挂软件,也可以观看Flash网页。
        Shockwave Player的ActiveX的控件实现上存在漏洞,攻击者可能利用此漏洞在用户机器上执行任意指令。Shockwave Player中CLSID为166B1BCA-3F9C-11CF-8075-444553540000的ActiveX控件中存在漏洞。攻击者可以将该控件的两个特定参数指定为特别大的值,触发栈溢出。请注意这个漏洞出现在安装过程中,但不必等用户完成安装便可利用。
        

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        http://www.macromedia.com/

- 漏洞信息 (F44173)

Zero Day Initiative Advisory 06-02 (PacketStormID:F44173)
2006-02-26 00:00:00
Peter Vreugdenhil,Tipping Point  zerodayinitiative.com
advisory,remote,overflow,code execution,activex
CVE-2005-3525
[点击下载]

Adobe Macromedia Shockwave is susceptible to a remote code execution flaw. This specific flaw exists within the ActiveX control with CLSID 166B1BCA-3F9C-11CF-8075-444553540000. Specifying large values for two specific parameters to this control results in an exploitable stack based buffer overflow. Due to the nature of this vulnerability, the target user is not required to have fully completed an installation of Shockwave to be vulnerable.

ZDI-06-002: Adobe Macromedia ShockWave Code Execution
http://www.zerodayinitiative.com/advisories/ZDI-06-002.html
February 23, 2006

-- CVE ID:
CVE-2005-3525

-- Affected Vendor:
Adobe Macromedia

-- Affected Products:
Macromedia Shockwave Installer

-- TippingPoint(TM) IPS Customer Protection:
TippingPoint IPS customers have been protected against this
vulnerability since November 22, 2005 by Digital Vaccine protection
filter ID 3934. For further product information on the TippingPoint IPS:

    http://www.tippingpoint.com 

-- Vulnerability Details:
This vulnerability allows remote attackers to execute arbitrary code on
vulnerable installations of Adobe Macromedia Shockwave. Exploitation
requires the target to visit a malicious web site.

This specific flaw exists within the ActiveX control with CLSID
166B1BCA-3F9C-11CF-8075-444553540000. Specifying large values for two
specific parameters to this control results in an exploitable stack
based buffer overflow. Due to the nature of this vulnerability, the
target user is not required to have fully completed an installation of
Shockwave to be vulnerable.

-- Vendor Response:
Adobe has fixed the issue in the Shockwave Player ActiveX installer.
Since the vulnerability occurs in the installer, no action needs to be
taken by current Macromedia Shockwave Player by Adobe customers.
Customers downloading and installing the latest Shockwave Player are no
longer vulnerable with the updated Shockwave Player ActiveX installer. 

-- Disclosure Timeline:
2005.11.22 - Vulnerability reported to vendor
2005.11.22 - Digital Vaccine released to TippingPoint customers
2006.02.21 - Vulnerability information provided to ZDI security partners
2006.02.23 - Coordinated public release of advisory

-- Credit:
This vulnerability was discovered by Peter Vreugdenhil.

-- About the Zero Day Initiative (ZDI):
Established by TippingPoint, a division of 3Com, The Zero Day Initiative
(ZDI) represents a best-of-breed model for rewarding security
researchers for responsibly disclosing discovered vulnerabilities.

Researchers interested in getting paid for their security research
through the ZDI can find more information and sign-up at:

    http://www.zerodayinitiative.com

The ZDI is unique in how the acquired vulnerability information is used.
3Com does not re-sell the vulnerability details or any exploit code.
Instead, upon notifying the affected product vendor, 3Com provides its
customers with zero day protection through its intrusion prevention
technology. Explicit details regarding the specifics of the
vulnerability are not exposed to any parties until an official vendor
patch is publicly available. Furthermore, with the altruistic aim of
helping to secure a broader user base, 3Com provides this vulnerability
information confidentially to security vendors (including competitors)
who have a vulnerability protection or mitigation product.
    

- 漏洞信息

23461
Macromedia ShockWave Player ActiveX Installer Overflow
Remote / Network Access, Context Dependent Input Manipulation
Loss of Integrity
Exploit Public, Exploit Private Vendor Verified

- 漏洞描述

A remote overflow exists in Shockwave Player ActiveX Installer. The product fails to perform boundary checks on two unspecified values when using CLSID 166B1BCA-3F9C-11CF-8075-444553540000 resulting in a stack-based buffer overflow. With a specially crafted request to a site hosting malicious shockwave content during the installation procedure, an attacker can cause arbitrary code execution resulting in a loss of integrity.

- 时间线

2006-02-23 Unknow
2006-02-21 2006-02-23

- 解决方案

This flaw was fixed in the 2006-02-23 release without a change in version number.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站